Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.xhtml
Class StyleConverterHelper

    java.lang.Object
      writer2latex.xhtml.ConverterHelper
          writer2latex.xhtml.StyleConverterHelper

Direct Known Subclasses:
  ListStyleConverter, PageStyleConverter, StyleWithPropertiesConverterHelper

    public abstract class StyleConverterHelper

extends ConverterHelper

This is an abstract base class to convert an OpenDocument style family to CSS2 styles.

Field Summary
`protected boolean` | `bConvertHard`
`protected boolean` | `bConvertStyles`
`private boolean` | `bConvertToPx`
`protected int` | `nType`
`private java.lang.String` | `sColScale`
`private java.lang.String` | `sScale`
`protected XhtmlStyleMap` | `styleMap`
`protected ExportNameCollection` | `styleNames`

Fields inherited from class writer2latex.xhtml.ConverterHelper
`config, converter, ofr`

Constructor Summary
`StyleConverterHelper(OfficeReader ofr, Config config, Converter converter, int nType)` Create a new `StyleConverterHelper`

Method Summary
`protected static void` | `applyDirection(StyleWithProperties style, StyleInfo info)` Apply the writing direction (ltr or rtl) attribute from a style
`protected static void` | `applyLang(StyleWithProperties style, StyleInfo info)` Apply language+country from a style
`protected java.lang.String` | `colScale(java.lang.String s)`
`abstract java.lang.String` | `getStyleDeclarations(java.lang.String sIndent)` Convert style information for used styles
`abstract OfficeStyleFamily` | `getStyles()` Get the OpenDocument style family associated with this StyleConverterHelper
`protected java.lang.String` | `scale(java.lang.String s)`

Methods inherited from class writer2latex.xhtml.ConverterHelper
`applyStyle, getCellSc, getDrawCv, getFrameSc, getListSc, getMathCv, getPageSc, getParSc, getPresentationSc, getRowSc, getSectionSc, getStyleCv, getTableCv, getTableSc, getTextCv, getTextSc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### styleNames

    protected ExportNameCollection styleNames

### styleMap

    protected XhtmlStyleMap styleMap

### bConvertStyles

    protected boolean bConvertStyles

### bConvertHard

    protected boolean bConvertHard

### nType

    protected int nType

### sScale

    private java.lang.String sScale

### sColScale

    private java.lang.String sColScale

### bConvertToPx

    private boolean bConvertToPx

Constructor Detail

### StyleConverterHelper

    public StyleConverterHelper(OfficeReader ofr,
                                Config config,
                                Converter converter,
                                int nType)

  Create a new `StyleConverterHelper`

  Parameters:
    `ofr` - an `OfficeReader` to read style information from
    `config` - the configuration to use
    `converter` - the main `Converter` class
    `nType` - the type of xhtml to use

Method Detail

### scale

    protected java.lang.String scale(java.lang.String s)

### colScale

    protected java.lang.String colScale(java.lang.String s)

### applyDirection

    protected static void applyDirection(StyleWithProperties style,
                                         StyleInfo info)

  Apply the writing direction (ltr or rtl) attribute from a style

  Parameters:
    `style` - the OpenDocument style to use
    `info` - the `StyleInfo` object to add information to

### applyLang

    protected static void applyLang(StyleWithProperties style,
                                    StyleInfo info)

  Apply language+country from a style

  Parameters:
    `style` - the OpenDocument style to use
    `info` - the `StyleInfo` object to add information to

### getStyles

    public abstract OfficeStyleFamily getStyles()

  Get the OpenDocument style family associated with this StyleConverterHelper

  Returns:
    the style family

### getStyleDeclarations

    public abstract java.lang.String getStyleDeclarations(java.lang.String sIndent)

  Convert style information for used styles

  Parameters:
    `sIndent` - a String of spaces to add before each line

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD